सामग्री पर जाएँ

Stable Audio 2.5 · Text to Audio

इंटीग्रेट करें

मॉडल id stable-audio-25/text-to-audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-25/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.20 200 API क्रेडिट · ≈ ₽21.52 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Stability AI ऑडियो #audio

केवल टेक्स्ट प्रॉम्प्ट से 190 सेकंड तक संगीत या साउंड इफ़ेक्ट जनरेट करता है

Stability AI · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

ऑडियो निर्माण के आधार के रूप में उपयोग किया जाने वाला प्रॉम्प्ट।

उन्नत seconds_total · num_inference_steps · guidance_scale · seed · enable_safety_checker
डिफ़ॉल्ट 190

निर्मित की जा रही ऑडियो क्लिप की लंबाई।

डिफ़ॉल्ट 8

ऑडियो पर लागू किए गए डिनॉइज़िंग चरणों की संख्या।

डिफ़ॉल्ट 1

इस सेटिंग को बढ़ाने पर ऑडियो-से-प्रॉम्प्ट निष्ठा बढ़ती है, जिससे डिफ्यूज़न प्रक्रिया का टेक्स्ट के प्रति अनुपालन मजबूत होता है।

POST /run/stable-audio-25/text-to-audio?wait=20 कोटेशन → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-25/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Stable Audio 2.5 · Text to Audio के बारे में

बिना इनपुट क्लिप के `prompt` से ऑडियो बनाता है। `seconds_total` अवधि 1 से 190 सेकंड तक सेट करता है और इसका डिफ़ॉल्ट 190 है। `num_inference_steps` 4 से 8 और `guidance_scale` 1 से 25 तक होता है; अधिक मान प्रॉम्प्ट के अधिक निकट परिणाम देते हैं। दोहराने योग्य आउटपुट के लिए `seed` सेट किया जा सकता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
ऑडियो निर्माण के आधार के रूप में उपयोग किया जाने वाला प्रॉम्प्ट।
seconds_totalवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट190
1 – 190
निर्मित की जा रही ऑडियो क्लिप की लंबाई।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट8
4 – 8
ऑडियो पर लागू किए गए डिनॉइज़िंग चरणों की संख्या।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
1 – 25
इस सेटिंग को बढ़ाने पर ऑडियो-से-प्रॉम्प्ट निष्ठा बढ़ती है, जिससे डिफ्यूज़न प्रक्रिया का टेक्स्ट के प्रति अनुपालन मजबूत होता है।
seedवैकल्पिक
प्रकारinteger | null
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-audio-25/text-to-audio",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audio
object {url, content_type, file_name, file_size}निर्माण द्वारा तैयार की गई ऑडियो क्लिप।
seed
integerनिर्माण के दौरान लागू किया गया रैंडम सीड।

और मॉडल: ऑडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/stable-audio-25/text-to-audio.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt